POST api/PolicyAICallLog/UpdateElastic
Update policy AI log record.
Request Information
URI Parameters
None.
Body Parameters
AICallLogRecordNest| Name | Description | Type | Additional information |
|---|---|---|---|
| Feedback | string |
None. |
|
| Transcript | string |
None. |
|
| Status | CallStatus |
Required Range: inclusive between 1 and 2 |
|
| TransactionId | string |
Required |
|
| TruckingCompanyId | globally unique identifier |
None. |
|
| aiVendor | AICallVendors |
None. |
|
| LastCallTime | date |
None. |
|
| PolicyId | globally unique identifier |
None. |
|
| AgencyId | globally unique identifier |
None. |
|
| CallId | string |
None. |
|
| UserId | globally unique identifier |
None. |
|
| CreateDate | date |
None. |
|
| ChangeDate | date |
None. |
|
| TaskId | globally unique identifier |
None. |
|
| callType | CallType |
None. |
|
| Id | globally unique identifier |
None. |
|
| PhoneNumber | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"feedback": "sample string 1",
"transcript": "sample string 2",
"status": 1,
"transactionId": "sample string 3",
"truckingCompanyId": "275785c6-1197-462f-bf70-b2a7cfa7df7c",
"aiVendor": 1,
"lastCallTime": "2026-06-18T19:03:19.3384516-05:00",
"policyId": "e6bfc8b6-77e9-4670-b013-e2d678fe6806",
"agencyId": "33a7ac11-7ca2-4d13-bda3-147fd742c463",
"callId": "sample string 5",
"userId": "96b4adbc-fde2-44f7-9fba-13633d63ba48",
"createDate": "2026-06-18T19:03:19.3384516-05:00",
"changeDate": "2026-06-18T19:03:19.3384516-05:00",
"taskId": "b98ec282-115e-4933-8046-47c2e8cf36ce",
"callType": 1,
"id": "f04bd6a1-1d46-4cec-8a95-af9502f30093",
"phoneNumber": "sample string 9"
}
application/xml, text/xml
Sample:
<AICallLogRecordNest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <AIVendor>SONANT</AIVendor> <AgencyId>33a7ac11-7ca2-4d13-bda3-147fd742c463</AgencyId> <CallId>sample string 5</CallId> <CallType>Incomming</CallType> <ChangeDate>2026-06-18T19:03:19.3384516-05:00</ChangeDate> <CreateDate>2026-06-18T19:03:19.3384516-05:00</CreateDate> <Feedback>sample string 1</Feedback> <Id>f04bd6a1-1d46-4cec-8a95-af9502f30093</Id> <LastCallTime>2026-06-18T19:03:19.3384516-05:00</LastCallTime> <PhoneNumber>sample string 9</PhoneNumber> <PolicyId>e6bfc8b6-77e9-4670-b013-e2d678fe6806</PolicyId> <Status>Failed</Status> <TaskId>b98ec282-115e-4933-8046-47c2e8cf36ce</TaskId> <TransactionId>sample string 3</TransactionId> <Transcript>sample string 2</Transcript> <TruckingCompanyId>275785c6-1197-462f-bf70-b2a7cfa7df7c</TruckingCompanyId> <UserId>96b4adbc-fde2-44f7-9fba-13633d63ba48</UserId> </AICallLogRecordNest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
NowCertsApiResult| Name | Description | Type | Additional information |
|---|---|---|---|
| Status | ApiStatus |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"status": 0,
"message": "sample string 1"
}
application/xml, text/xml
Sample:
<NowCertsApiResult xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <Message>sample string 1</Message> <Status>Error</Status> </NowCertsApiResult>